import { FilterHandler, FilterState } from '../types';
export default function useTableFilterInput<T extends object>(filterInput?: FilterHandler<T>): {
    memoizedFilterCondition: Partial<Partial<{ [K in keyof T]: import('..').FieldFilter<T[K]> | null; }>> | undefined;
    handleFilterInputChange: (value?: FilterState<T>) => void;
    handleClearAllFilters: () => void;
};
